Subject: [Gen-art] Gen-ART LC Review of draft-ietf-ancp-protocol-15

From: Ben Campbell <[email-masked]>
Date: Wed, 9 Mar 2011 18:06:58 -0600

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please resolve these comments along with any other Last Call comments you may receive.

Document: draft-ietf-ancp-protocol-15
Reviewer: Ben Campbell	
Review Date: 2011-03-09
IETF LC End Date: 2011-03-09
IESG Telechat date: (if known)

Summary: This draft is essentially ready for publication as a proposed standard. I have a few minor comments that might be worth considering prior to final publication.

Major issues:

None

Minor issues:

-- section 1.1: "This specification uses requirements language in lower case and between quotation marks (e.g., "must") to denote requirements on the interface between ANCP and the control application. Such requirements are inherently untestable but need to be taken into account by the implementor."

I must admit to be curious as to the goal of this approach to normative language. I don't necessarily think it's a problem--I'm just calling it out as unusual in case anyone else cares.

-- section 3.1, definition of "Identifier"

Is there any concern about distinguishing between the two (effectively different) protocols with the same value?

-- section 3.2, 2nd to last paragraph: "Port 6068 is used for TCP connection."

Is this a default, or is it required to always be 6068?

-- section 3.5.2, 2nd paragraph: "It is RECOMMENDED that both ends specify the same timer value;"

What are the implications if they dont?

-- 3.6.1.4, Code value 7, recommended action : "If multiple instances of this error occur..."

Can you provide any guidance on how many? I'm not asking for an exact count, but a general idea would be helpful.

Nits/editorial comments:

-- section 1, 1st paragraph: 

Please expand QoS on first mention

-- 3.1, RFC Editor's Note:

Any reason not to make the change in the draft prior to approval?

-- 5.1.2, heading before first bullet: "As normative requirements on ANCP agents conforming to this section:"

I don't follow the sentence structure for this heading.

-- 9.2, general:

Can you reference the explicit URLs for the mentioned existing registries?